DragonFly BSD
DragonFly bugs List (threaded) for 2004-07
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: Unusual error message from gcc34 ?

From: walt <wa1ter@xxxxxxxxxxxxx>
Date: Sat, 03 Jul 2004 12:11:01 -0700

Matthew Dillon wrote:
/usr/lib/gcc*/crtbeginS.o and endS.o were consolidated and moved
to /usr/lib/crtbeginS.o and endS.o. If you do not have those files
in either place then you may have done a 'make upgrade' without first
building and installing the world.

Hi Matt,

This turned out to be a 'libtool' problem, which I finally remembered from
when NetBSD-CURRENT changed compilers a while ago.  It had nothing to do
with DFly itself.

When switching compiler versions I find that I need to re-install the
libtool port using the new compiler.

There are evidently some important PATH variables that get built in to
libtool when it gets installed.  It then uses those PATH variables to
look for libraries when you compile any other port which uses libtool,
e.g. aspell.

I'm not sure why Hiten didn't run into the same problem.  I can use both
compilers to build 'aspell', but only if I re-install libtool each time I
switch compilers in make.conf.

Anyone know of a way around this?

Maybe I should ask if I'm the only one who has this problem, come to
think of it  :o)

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]